<?xml version="1.0" encoding="utf-8"?>

<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <import type="android.view.View" />

        <import type="it.integry.integrywmsnative.core.utility.UtilityDate" />

        <import type="it.integry.integrywmsnative.core.utility.UtilityNumber" />

        <import type="androidx.core.content.ContextCompat" />

        <import type="it.integry.integrywmsnative.gest.prod_versamento_materiale.dto.OrdineLavorazioneStatoEnum" />

        <variable
            name="view"
            type="it.integry.integrywmsnative.gest.prod_rientro_merce.order_detail.ProdRientroMerceOrderDetailFragment" />
    </data>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="?attr/colorSurface"
        tools:context=".gest.prod_rientro_merce.order_detail.ProdRientroMerceOrderDetailFragment">


        <androidx.core.widget.NestedScrollView
            android:id="@+id/scroll_view"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:layout_behavior="@string/appbar_scrolling_view_behavior">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/empty_view"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:alpha="0.3"
                    android:visibility="@{view.currentOrder != null ? View.GONE : View.VISIBLE}">

                    <androidx.constraintlayout.widget.Guideline
                        android:id="@+id/guideline_empty_top"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        app:layout_constraintGuide_percent="0.4" />

                    <androidx.constraintlayout.widget.Guideline
                        android:id="@+id/guideline_empty_left"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        app:layout_constraintGuide_percent="0.15" />

                    <androidx.constraintlayout.widget.Guideline
                        android:id="@+id/guideline_empty_right"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        app:layout_constraintGuide_percent="0.85" />

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:gravity="center_horizontal"
                        android:orientation="vertical"
                        app:layout_constraintEnd_toStartOf="@id/guideline_empty_right"
                        app:layout_constraintStart_toEndOf="@id/guideline_empty_left"
                        app:layout_constraintTop_toTopOf="@id/guideline_empty_top">

                        <androidx.appcompat.widget.AppCompatImageView
                            android:layout_width="72dp"
                            android:layout_height="wrap_content"
                            android:adjustViewBounds="true"
                            android:src="@drawable/ic_info_78dp"
                            android:tint="@android:color/black" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="center_horizontal"
                            android:text="@string/no_one_order_selected"
                            android:textColor="@android:color/black"
                            android:textSize="18sp" />
                    </LinearLayout>

                </androidx.constraintlayout.widget.ConstraintLayout>


                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:padding="16dp">

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:paddingBottom="8dp">

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="8dp"
                            android:layout_toStartOf="@id/ordine_state_icon"
                            android:gravity="center_vertical"
                            android:orientation="vertical">

                            <TextView
                                style="@style/AppTheme.NewMaterial.Text"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:text="@{UtilityDate.formatDate(view.currentOrder.dataOrdD, UtilityDate.COMMONS_DATE_FORMATS.DMY_HUMAN)}"
                                android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                tools:text="28 maggio 2021" />

                            <TextView
                                style="@style/TextViewMaterial.Dialog.HeadlineText"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:text="@{`Ordine #`+ view.currentOrder.numOrd.toString()}"
                                android:textStyle="bold"
                                tools:text="Ordine #218" />

                            <com.google.android.material.progressindicator.LinearProgressIndicator
                                android:id="@+id/order_progress"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="16dp"
                                android:indeterminate="false"
                                android:max="100"
                                android:progress="@{view.progress}" />

                        </androidx.appcompat.widget.LinearLayoutCompat>


                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:id="@+id/ordine_state_icon"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentEnd="true"
                            android:gravity="center_horizontal"
                            android:orientation="vertical">

                            <androidx.appcompat.widget.AppCompatImageView
                                android:layout_width="48dp"
                                android:layout_height="48dp"
                                android:background="@android:color/transparent"
                                android:src="@{view.orderStatusIcon}"
                                android:tint="@{view.orderStatusIconTintColor}"
                                tools:src="@drawable/ic_info_78dp"
                                tools:tint="@color/blue_700" />


                            <androidx.appcompat.widget.AppCompatTextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="4dp"
                                android:background="@{view.orderStatusLabelBackgroud}"
                                android:paddingStart="6dp"
                                android:paddingTop="2dp"
                                android:paddingEnd="6dp"
                                android:paddingBottom="2dp"
                                android:text="@{view.currentOrder.stato}"
                                android:textAllCaps="true"
                                android:textAppearance="@style/AppTheme.NewMaterial.Text.ExtraSmall"
                                android:textColor="@{view.orderStatusLabelTextColor}"
                                android:textStyle="bold"
                                tools:background="@drawable/label_primary_text"
                                tools:text="PROGRAMMATO"
                                tools:textColor="@color/blue_800" />

                        </androidx.appcompat.widget.LinearLayoutCompat>


                    </RelativeLayout>

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:weightSum="2">

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:id="@+id/cliente_layout"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:orientation="horizontal">


                            <androidx.appcompat.widget.AppCompatImageView
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:layout_gravity="center_vertical"
                                android:layout_margin="8dp"
                                android:src="@drawable/ic_person_filled_24dp"
                                android:tint="@color/gray_500" />

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center_vertical"
                                android:orientation="vertical">

                                <androidx.appcompat.widget.AppCompatTextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="Cliente"
                                    android:textAllCaps="true"
                                    android:textAppearance="@style/AppTheme.NewMaterial.Text.ExtraSmall"
                                    android:textStyle="bold" />

                                <androidx.appcompat.widget.AppCompatTextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@{view.currentOrder.descCommessa != null ? view.currentOrder.descCommessa : `-`}"
                                    android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                    android:textColor="@android:color/black"
                                    tools:text="GRUNDHOFER GBMH" />


                            </androidx.appcompat.widget.LinearLayoutCompat>


                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="end"
                            android:orientation="horizontal">

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center_vertical"
                                android:gravity="end"
                                android:orientation="vertical">

                                <androidx.appcompat.widget.AppCompatTextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="Data consegna"
                                    android:textAllCaps="true"
                                    android:textAppearance="@style/AppTheme.NewMaterial.Text.ExtraSmall"
                                    android:textStyle="bold" />

                                <androidx.appcompat.widget.LinearLayoutCompat
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:orientation="horizontal">


                                    <androidx.appcompat.widget.AppCompatTextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="@{UtilityDate.formatDate(view.currentOrder.getDataConsCommessaD(), UtilityDate.COMMONS_DATE_FORMATS.DMY_HUMAN)}"
                                        android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                        android:textColor="@android:color/black"
                                        tools:text="01 Gen 2022" />


                                </androidx.appcompat.widget.LinearLayoutCompat>


                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <androidx.appcompat.widget.AppCompatImageView
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:layout_gravity="center_vertical"
                                android:layout_margin="8dp"
                                android:src="@drawable/ic_truck_with_clock"
                                android:tint="@color/gray_500" />

                        </androidx.appcompat.widget.LinearLayoutCompat>


                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <com.google.android.material.divider.MaterialDivider
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp"
                        android:layout_marginBottom="8dp" />

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:weightSum="2">

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:orientation="vertical"
                            android:layout_weight="1">

                            <TextView
                                style="@style/TextViewMaterial.Dialog.SupportingText"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:text="Ordinato"
                                android:textStyle="bold"
                                tools:text="Ordinato" />

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="horizontal">

                                <androidx.appcompat.widget.AppCompatImageView
                                    android:layout_width="24dp"
                                    android:layout_height="24dp"
                                    android:layout_gravity="center_vertical"
                                    android:layout_margin="8dp"
                                    android:src="@drawable/ic_pallet"
                                    android:tint="@color/gray_500" />

                                <androidx.appcompat.widget.LinearLayoutCompat
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_gravity="center_vertical"
                                    android:gravity="start"
                                    android:orientation="vertical">

                                    <androidx.appcompat.widget.AppCompatTextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="Bancali"
                                        android:textAllCaps="true"
                                        android:textAppearance="@style/AppTheme.NewMaterial.Text.ExtraSmall"
                                        android:textStyle="bold" />

                                    <androidx.appcompat.widget.LinearLayoutCompat
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:orientation="horizontal">

                                        <androidx.appcompat.widget.AppCompatTextView
                                            android:layout_width="wrap_content"
                                            android:layout_height="wrap_content"
                                            android:text="@{UtilityNumber.decimalToString(view.currentOrder.numPedane, 0)}"
                                            android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                            android:textColor="@android:color/black"
                                            tools:text="0" />


                                        <androidx.appcompat.widget.AppCompatTextView
                                            android:layout_width="wrap_content"
                                            android:layout_height="wrap_content"
                                            android:text=" UL"
                                            android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                            android:textColor="@android:color/black" />

                                    </androidx.appcompat.widget.LinearLayoutCompat>


                                </androidx.appcompat.widget.LinearLayoutCompat>

                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="horizontal"
                                android:layout_gravity="end">

                                <androidx.appcompat.widget.AppCompatImageView
                                    android:layout_width="24dp"
                                    android:layout_height="24dp"
                                    android:layout_gravity="center_vertical"
                                    android:layout_margin="8dp"
                                    android:src="@drawable/ic_box"
                                    android:tint="@color/gray_500" />


                                <androidx.appcompat.widget.LinearLayoutCompat
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_gravity="center_vertical"
                                    android:gravity="start"
                                    android:orientation="vertical">

                                    <androidx.appcompat.widget.AppCompatTextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="Colli"
                                        android:textAllCaps="true"
                                        android:textAppearance="@style/AppTheme.NewMaterial.Text.ExtraSmall"
                                        android:textStyle="bold" />

                                    <androidx.appcompat.widget.LinearLayoutCompat
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:orientation="horizontal">

                                        <androidx.appcompat.widget.AppCompatTextView
                                            android:layout_width="wrap_content"
                                            android:layout_height="wrap_content"
                                            android:text="@{UtilityNumber.decimalToString(view.currentOrder.numCnf, 0)}"
                                            android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                            android:textColor="@android:color/black"
                                            tools:text="0" />


                                        <androidx.appcompat.widget.AppCompatTextView
                                            android:layout_width="wrap_content"
                                            android:layout_height="wrap_content"
                                            android:text=" COL"
                                            android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                            android:textColor="@android:color/black" />

                                    </androidx.appcompat.widget.LinearLayoutCompat>


                                </androidx.appcompat.widget.LinearLayoutCompat>

                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="horizontal">

                                <androidx.appcompat.widget.AppCompatImageView
                                    android:layout_width="24dp"
                                    android:layout_height="24dp"
                                    android:layout_gravity="center_vertical"
                                    android:layout_margin="8dp"
                                    android:src="@drawable/ic_weight_kg"
                                    android:tint="@color/gray_500" />

                                <androidx.appcompat.widget.LinearLayoutCompat
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_gravity="center_vertical"
                                    android:visibility="@{view.isOrderColli ? View.GONE  :View.VISIBLE}"
                                    android:gravity="start"
                                    android:orientation="vertical">

                                    <androidx.appcompat.widget.AppCompatTextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        tools:text="KG"
                                        android:text="@{view.currentOrder.untOrd}"
                                        android:textAllCaps="true"
                                        android:textAppearance="@style/AppTheme.NewMaterial.Text.ExtraSmall"
                                        android:textStyle="bold" />

                                    <androidx.appcompat.widget.LinearLayoutCompat
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:orientation="horizontal">

                                        <androidx.appcompat.widget.AppCompatTextView
                                            android:layout_width="wrap_content"
                                            android:layout_height="wrap_content"
                                            android:text="@{UtilityNumber.decimalToString(view.currentOrder.qtaProd, 0)}"
                                            android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                            android:textColor="@android:color/black"
                                            tools:text="0" />


                                        <androidx.appcompat.widget.AppCompatTextView
                                            android:layout_width="wrap_content"
                                            android:layout_height="wrap_content"
                                            android:layout_marginStart="4dp"
                                            android:text="@{view.currentOrder.untOrd}"
                                            tools:text="KG"
                                            android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                            android:textColor="@android:color/black" />

                                    </androidx.appcompat.widget.LinearLayoutCompat>


                                </androidx.appcompat.widget.LinearLayoutCompat>

                            </androidx.appcompat.widget.LinearLayoutCompat>
                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:orientation="vertical"
                            android:layout_weight="1">

                            <TextView
                                style="@style/TextViewMaterial.Dialog.SupportingText"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:text="Prodotto"
                                android:textStyle="bold"
                                android:gravity="end"
                                tools:text="Prodotto" />

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:gravity="end"
                                android:orientation="horizontal">


                                <androidx.appcompat.widget.LinearLayoutCompat
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_gravity="center_vertical"
                                    android:gravity="end"
                                    android:orientation="vertical">

                                    <androidx.appcompat.widget.AppCompatTextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="Bancali"
                                        android:textAllCaps="true"
                                        android:textAppearance="@style/AppTheme.NewMaterial.Text.ExtraSmall"
                                        android:textStyle="bold" />

                                    <androidx.appcompat.widget.LinearLayoutCompat
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:orientation="horizontal">

                                        <androidx.appcompat.widget.AppCompatTextView
                                            android:layout_width="wrap_content"
                                            android:layout_height="wrap_content"
                                            android:text="@{UtilityNumber.decimalToString(view.sumLUNumber, 0)}"
                                            android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                            android:textColor="@android:color/black"
                                            tools:text="0" />


                                        <androidx.appcompat.widget.AppCompatTextView
                                            android:layout_width="wrap_content"
                                            android:layout_height="wrap_content"
                                            android:text=" UL"
                                            android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                            android:textColor="@android:color/black" />

                                    </androidx.appcompat.widget.LinearLayoutCompat>


                                </androidx.appcompat.widget.LinearLayoutCompat>

                                <androidx.appcompat.widget.AppCompatImageView
                                    android:layout_width="24dp"
                                    android:layout_height="24dp"
                                    android:layout_gravity="center_vertical"
                                    android:layout_margin="8dp"
                                    android:src="@drawable/ic_pallet"
                                    android:tint="@color/gray_500" />


                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:gravity="end"
                                android:orientation="horizontal">


                                <androidx.appcompat.widget.LinearLayoutCompat
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:gravity="end"
                                    android:orientation="vertical">

                                    <androidx.appcompat.widget.AppCompatTextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="Colli"
                                        android:textAllCaps="true"
                                        android:textAppearance="@style/AppTheme.NewMaterial.Text.ExtraSmall"
                                        android:textStyle="bold" />

                                    <androidx.appcompat.widget.LinearLayoutCompat
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:orientation="horizontal">


                                        <androidx.appcompat.widget.AppCompatTextView
                                            android:layout_width="wrap_content"
                                            android:layout_height="wrap_content"
                                            android:text="@{UtilityNumber.decimalToString(view.sumColliNumber, 0)}"
                                            android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                            android:textColor="@android:color/black"
                                            tools:text="0" />


                                        <androidx.appcompat.widget.AppCompatTextView
                                            android:layout_width="wrap_content"
                                            android:layout_height="wrap_content"
                                            android:layout_marginStart="4dp"
                                            android:text="COL"
                                            android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                            android:textColor="@android:color/black" />

                                    </androidx.appcompat.widget.LinearLayoutCompat>


                                </androidx.appcompat.widget.LinearLayoutCompat>

                                <androidx.appcompat.widget.AppCompatImageView
                                    android:layout_width="24dp"
                                    android:layout_height="24dp"
                                    android:layout_gravity="center_vertical"
                                    android:layout_margin="8dp"
                                    android:src="@drawable/ic_box"
                                    android:tint="@color/gray_500" />
                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:gravity="end"
                                android:orientation="horizontal">

                                <androidx.appcompat.widget.LinearLayoutCompat
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_gravity="center_vertical"
                                    android:gravity="end"
                                    android:orientation="vertical">

                                    <androidx.appcompat.widget.AppCompatTextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="Totale netto (lordo)"
                                        android:textAllCaps="true"
                                        android:textAppearance="@style/AppTheme.NewMaterial.Text.ExtraSmall"
                                        android:textStyle="bold" />

                                    <androidx.appcompat.widget.LinearLayoutCompat
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:orientation="horizontal">

                                        <androidx.appcompat.widget.AppCompatTextView
                                            android:layout_width="wrap_content"
                                            android:layout_height="wrap_content"
                                            android:text="@{UtilityNumber.decimalToString(view.sumNetKG, 0)}"
                                            android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                            android:textColor="@android:color/black"
                                            tools:text="0" />


                                        <androidx.appcompat.widget.AppCompatTextView
                                            android:layout_width="wrap_content"
                                            android:layout_height="wrap_content"
                                            android:layout_marginStart="4dp"
                                            android:text="KG"
                                            android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                            android:textColor="@android:color/black" />


                                        <androidx.appcompat.widget.AppCompatTextView
                                            android:layout_width="wrap_content"
                                            android:layout_height="wrap_content"
                                            android:text=" ("
                                            android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                            android:textColor="@android:color/black" />

                                        <androidx.appcompat.widget.AppCompatTextView
                                            android:layout_width="wrap_content"
                                            android:layout_height="wrap_content"
                                            android:text="@{UtilityNumber.decimalToString(view.sumGrossKG, 0)}"
                                            android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                            android:textColor="@android:color/black"
                                            tools:text="0" />


                                        <androidx.appcompat.widget.AppCompatTextView
                                            android:layout_width="wrap_content"
                                            android:layout_height="wrap_content"
                                            android:text=" KG)"
                                            android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                            android:textColor="@android:color/black" />

                                    </androidx.appcompat.widget.LinearLayoutCompat>


                                </androidx.appcompat.widget.LinearLayoutCompat>

                                <androidx.appcompat.widget.AppCompatImageView
                                    android:layout_width="24dp"
                                    android:layout_height="24dp"
                                    android:layout_gravity="center_vertical"
                                    android:layout_margin="8dp"
                                    android:src="@drawable/ic_weight_kg"
                                    android:tint="@color/gray_500" />

                            </androidx.appcompat.widget.LinearLayoutCompat>


                        </androidx.appcompat.widget.LinearLayoutCompat>


                    </androidx.appcompat.widget.LinearLayoutCompat>


                    <!--<RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:id="@+id/provenienza_layout"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentStart="true"
                            android:layout_toStartOf="@id/totale_bancali_layout"
                            android:orientation="horizontal"
                            android:visibility="@{view.currentOrder.codAnag != null ? View.VISIBLE : View.GONE}">

                            <androidx.appcompat.widget.AppCompatImageView
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:layout_gravity="center_vertical"
                                android:layout_margin="8dp"
                                android:src="@drawable/ic_person_filled_24dp"
                                android:tint="@color/gray_500" />


                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center_vertical"
                                android:orientation="vertical">

                                <androidx.appcompat.widget.AppCompatTextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="Provenienza"
                                    android:textAllCaps="true"
                                    android:textAppearance="@style/AppTheme.NewMaterial.Text.ExtraSmall"
                                    android:textStyle="bold" />

                                <androidx.appcompat.widget.LinearLayoutCompat
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:orientation="horizontal">

                                    <androidx.appcompat.widget.AppCompatTextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:ellipsize="end"
                                        android:maxLines="1"
                                        android:text="@{view.currentOrder.ragSocAnag + ` (` + view.currentOrder.codAnag + `)`}"
                                        android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                        android:textColor="@android:color/black"
                                        android:visibility="@{view.currentOrder.ragSocAnag != null ? View.VISIBLE : View.GONE}"
                                        tools:text="FRUDIS S.R.L. (F0312)" />

                                </androidx.appcompat.widget.LinearLayoutCompat>


                            </androidx.appcompat.widget.LinearLayoutCompat>

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:id="@+id/totale_bancali_layout"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentEnd="true"
                            android:gravity="end"
                            android:orientation="horizontal">


                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center_vertical"
                                android:gravity="end"
                                android:orientation="vertical">

                                <androidx.appcompat.widget.AppCompatTextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="Totale bancali"
                                    android:textAllCaps="true"
                                    android:textAppearance="@style/AppTheme.NewMaterial.Text.ExtraSmall"
                                    android:textStyle="bold" />

                                <androidx.appcompat.widget.LinearLayoutCompat
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:orientation="horizontal">

                                    <androidx.appcompat.widget.AppCompatTextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="@{UtilityNumber.decimalToString(view.sumLUNumber, 0)}"
                                        android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                        android:textColor="@android:color/black"
                                        tools:text="0" />


                                    <androidx.appcompat.widget.AppCompatTextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text=" UL"
                                        android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                        android:textColor="@android:color/black" />


                                    <androidx.appcompat.widget.AppCompatTextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text=" ("
                                        android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                        android:textColor="@android:color/black" />

                                    <androidx.appcompat.widget.AppCompatTextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="@{UtilityNumber.decimalToString(view.sumColliNumber, 0)}"
                                        android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                        android:textColor="@android:color/black"
                                        tools:text="0" />


                                    <androidx.appcompat.widget.AppCompatTextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text=" COL)"
                                        android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                        android:textColor="@android:color/black" />

                                </androidx.appcompat.widget.LinearLayoutCompat>


                            </androidx.appcompat.widget.LinearLayoutCompat>


                            <androidx.appcompat.widget.AppCompatImageView
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:layout_gravity="center_vertical"
                                android:layout_margin="8dp"
                                android:src="@drawable/ic_pallet"
                                android:tint="@color/gray_500" />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                    </RelativeLayout>


                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp">

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:id="@+id/cliente_layout"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal">


                            <androidx.appcompat.widget.AppCompatImageView
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:layout_gravity="center_vertical"
                                android:layout_margin="8dp"
                                android:src="@drawable/ic_person_filled_24dp"
                                android:tint="@color/gray_500" />

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center_vertical"
                                android:orientation="vertical">

                                <androidx.appcompat.widget.AppCompatTextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="Cliente"
                                    android:textAllCaps="true"
                                    android:textAppearance="@style/AppTheme.NewMaterial.Text.ExtraSmall"
                                    android:textStyle="bold" />

                                <androidx.appcompat.widget.AppCompatTextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@{view.currentOrder.descCommessa != null ? view.currentOrder.descCommessa : `-`}"
                                    android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                    android:textColor="@android:color/black"
                                    tools:text="GRUNDHOFER GBMH" />


                            </androidx.appcompat.widget.LinearLayoutCompat>


                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentEnd="true"
                            android:layout_toEndOf="@id/cliente_layout"
                            android:gravity="end"
                            android:orientation="horizontal">


                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center_vertical"
                                android:gravity="end"
                                android:orientation="vertical">

                                <androidx.appcompat.widget.AppCompatTextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="Totale netto"
                                    android:textAllCaps="true"
                                    android:textAppearance="@style/AppTheme.NewMaterial.Text.ExtraSmall"
                                    android:textStyle="bold" />

                                <androidx.appcompat.widget.LinearLayoutCompat
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:orientation="horizontal">

                                    <androidx.appcompat.widget.AppCompatTextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="@{UtilityNumber.decimalToString(view.sumNetKG, 0)}"
                                        android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                        android:textColor="@android:color/black"
                                        tools:text="0" />


                                    <androidx.appcompat.widget.AppCompatTextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text=" KG"
                                        android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                        android:textColor="@android:color/black" />

                                </androidx.appcompat.widget.LinearLayoutCompat>


                            </androidx.appcompat.widget.LinearLayoutCompat>


                            <androidx.appcompat.widget.AppCompatImageView
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:layout_gravity="center_vertical"
                                android:layout_margin="8dp"
                                android:src="@drawable/ic_weight_kg"
                                android:tint="@color/gray_500" />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp">

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:id="@+id/orari_produzione_layout"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal">


                            <androidx.appcompat.widget.AppCompatImageView
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:layout_gravity="center_vertical"
                                android:layout_margin="8dp"
                                android:src="@drawable/ic_workers_96px"
                                android:tint="@color/gray_500" />

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center_vertical"
                                android:orientation="vertical">

                                <androidx.appcompat.widget.AppCompatTextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="Orari produzione"
                                    android:textAllCaps="true"
                                    android:textAppearance="@style/AppTheme.NewMaterial.Text.ExtraSmall"
                                    android:textStyle="bold" />


                                <androidx.appcompat.widget.LinearLayoutCompat
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:orientation="horizontal"
                                    android:visibility="@{view.currentOrder.dataInizD != null ? View.VISIBLE : View.GONE}">

                                    <androidx.appcompat.widget.AppCompatTextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="@{UtilityDate.formatDate(view.currentOrder.dataInizD, UtilityDate.COMMONS_DATE_FORMATS.DM_TIME_SLASH)}"
                                        android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                        android:textColor="@android:color/black"
                                        tools:text="11:00:00" />

                                    <androidx.appcompat.widget.AppCompatTextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text=" - "
                                        android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                        android:textColor="@android:color/black" />

                                    <androidx.appcompat.widget.AppCompatTextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="@{UtilityDate.formatDate(view.currentOrder.dataFineD, UtilityDate.COMMONS_DATE_FORMATS.DM_TIME_SLASH)}"
                                        android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                        android:textColor="@android:color/black"
                                        android:visibility="@{view.currentOrder.dataFineD != null ? View.VISIBLE : View.GONE}"
                                        tools:text="18:00:00" />

                                    <androidx.appcompat.widget.AppCompatTextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="IN CORSO"
                                        android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                        android:textColor="@android:color/black"
                                        android:visibility="@{view.currentOrder.dataFineD == null ? View.VISIBLE : View.GONE}"
                                        tools:text="IN CORSO"
                                        tools:visibility="gone" />
                                </androidx.appcompat.widget.LinearLayoutCompat>


                                <androidx.appcompat.widget.AppCompatTextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="Non avviato"
                                    android:textAllCaps="true"
                                    android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                    android:textColor="@android:color/black"
                                    android:visibility="@{view.currentOrder.dataInizD == null ? View.VISIBLE : View.GONE}"
                                    tools:visibility="gone" />


                            </androidx.appcompat.widget.LinearLayoutCompat>


                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentEnd="true"
                            android:layout_toEndOf="@id/orari_produzione_layout"
                            android:gravity="end"
                            android:orientation="horizontal">


                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center_vertical"
                                android:gravity="end"
                                android:orientation="vertical">

                                <androidx.appcompat.widget.AppCompatTextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="Totale lordo"
                                    android:textAllCaps="true"
                                    android:textAppearance="@style/AppTheme.NewMaterial.Text.ExtraSmall"
                                    android:textStyle="bold" />

                                <androidx.appcompat.widget.LinearLayoutCompat
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:orientation="horizontal">

                                    <androidx.appcompat.widget.AppCompatTextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="@{UtilityNumber.decimalToString(view.sumGrossKG, 0)}"
                                        android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                        android:textColor="@android:color/black"
                                        tools:text="0" />


                                    <androidx.appcompat.widget.AppCompatTextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text=" KG"
                                        android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                                        android:textColor="@android:color/black" />

                                </androidx.appcompat.widget.LinearLayoutCompat>


                            </androidx.appcompat.widget.LinearLayoutCompat>


                            <androidx.appcompat.widget.AppCompatImageView
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:layout_gravity="center_vertical"
                                android:layout_margin="8dp"
                                android:src="@drawable/ic_weight_kg"
                                android:tint="@color/gray_500" />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                    </RelativeLayout>-->


                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center_horizontal"
                        android:orientation="horizontal"
                        android:padding="8dp">


                        <com.google.android.material.button.MaterialButton
                            android:id="@+id/button_confirm"
                            style="@style/Button.PrimaryOutline"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/add_lu"
                            app:icon="@drawable/ic_add_24dp"
                            app:singleClick="@{() -> view.addULButtonClick()}" />


                    </androidx.appcompat.widget.LinearLayoutCompat>


                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp"
                        android:orientation="vertical">

                        <androidx.appcompat.widget.AppCompatTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Lista bancali"
                            android:textAppearance="@style/AppTheme.NewMaterial.Text.Small"
                            android:textColor="@android:color/black"
                            android:textStyle="bold" />

                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/main_list"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="4dp" />

                        <androidx.constraintlayout.widget.ConstraintLayout
                            android:id="@+id/mtb_colt_empty_view"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:alpha="0.3"
                            tools:context=".gest.lista_bancali.ListaBancaliActivity">

                            <androidx.constraintlayout.widget.Guideline
                                android:id="@+id/mtb_colt_guideline_empty_top"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:orientation="horizontal"
                                app:layout_constraintGuide_percent="0.15" />

                            <androidx.constraintlayout.widget.Guideline
                                android:id="@+id/mtb_colt_guideline_empty_left"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:orientation="vertical"
                                app:layout_constraintGuide_percent="0.15" />

                            <androidx.constraintlayout.widget.Guideline
                                android:id="@+id/mtb_colt_guideline_empty_right"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:orientation="vertical"
                                app:layout_constraintGuide_percent="0.85" />

                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:gravity="center_horizontal"
                                android:orientation="vertical"
                                android:padding="32dp"
                                app:layout_constraintEnd_toStartOf="@id/mtb_colt_guideline_empty_right"
                                app:layout_constraintStart_toEndOf="@id/mtb_colt_guideline_empty_left"
                                app:layout_constraintTop_toTopOf="@id/mtb_colt_guideline_empty_top">

                                <androidx.appcompat.widget.AppCompatImageView
                                    android:layout_width="72dp"
                                    android:layout_height="wrap_content"
                                    android:adjustViewBounds="true"
                                    android:src="@drawable/ic_playlist_add_check_24dp" />

                                <androidx.appcompat.widget.AppCompatTextView
                                    style="@style/AppTheme.NewMaterial.Text.Medium"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_horizontal"
                                    android:text="@string/no_lu_found_message"
                                    android:textColor="@android:color/black" />
                            </LinearLayout>

                        </androidx.constraintlayout.widget.ConstraintLayout>


                    </androidx.appcompat.widget.LinearLayoutCompat>

                </androidx.appcompat.widget.LinearLayoutCompat>


            </RelativeLayout>

        </androidx.core.widget.NestedScrollView>

    </FrameLayout>
</layout>